%global __strip %{_mingw32_strip}
%global __objdump %{_mingw32_objdump}
%global _use_internal_dependency_generator 0
%global __find_requires %{_mingw32_findrequires}
%global __find_provides %{_mingw32_findprovides}


Name:           mingw32-libatomic_ops
Version:        1.2
Release:        2%{?dist}
Summary:        MinGW Windows port of the libatomic_ops library

Group:          Development/Libraries
License:        GPLv2+ and MIT
URL:            http://www.hpl.hp.com/research/linux/atomic_ops/
Source0:        http://www.hpl.hp.com/research/linux/atomic_ops/download/libatomic_ops-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires:  mingw32-filesystem >= 23
BuildRequires:  mingw32-gcc
BuildRequires:  mingw32-binutils

Provides:       %{name}-static = %{version}-%{release}


%description
MinGW Windows port of the libatomic_ops library.


%prep
%setup -q -n libatomic_ops-%{version}
chmod a-x src/*.h


%build
%_mingw32_configure


make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT __doc
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"


mv $RPM_BUILD_ROOT%{_mingw32_datadir}/libatomic_ops/ __doc


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README
%doc __doc/*.txt
%{_mingw32_includedir}/atomic_ops*.h
%{_mingw32_includedir}/atomic_ops/
%{_mingw32_libdir}/libatomic_ops.a
%{_mingw32_libdir}/libatomic_ops_gpl.a



%changelog
* Wed Jul  1 2009 kwizart < kwizart at gmail.com > - 1.2-2
- Drop the powerpc patch
- Move to %%global from %%define
- Provides -static as there is only one static library
- Rsync with native package (Fix the License tag)

* Mon Jan  5 2009 kwizart < kwizart at gmail.com > - 1.2-1
- Initial package based on original libatomic_ops.spec

